Description

Hi,

when we create a bond device with kickstart we get duplicate interfaces. we thinks its not correct handling of bond and the same mac

addresses.

normally the bond master and slaves have the same mac. it there a fix in the future?

thanks

Sven

Related issues:

Related to Foreman - Bug #10546: Reduce the number of interfaces duplicates Duplicate 05/19/2015

Related to Foreman - Bug #10805: VLAN interface attached to bond is wrongly c... Closed 06/13/2015

Related to Foreman - Bug #10607: bonding on ubuntu causes foreman to create a... Closed 05/26/2015

Associated revisions

Revision db6d6b8b - 06/29/2015 06:03 AM - Marek Hulán

Fixes #10888 - skip attached_to updates if identifier was blank

Revision b094575d - 07/02/2015 02:59 PM - Marek Hulán

Fixes #10888 - skip attached_to updates if identifier was blank

(cherry picked from commit db6d6b8b7d0d2e90e27d4c23308e5db26abd3820)

Revision 66a5487c - 08/18/2015 01:19 PM - Marek Hulán

Fixes #10888 - skip attached_to updates if identifier was blank

(cherry picked from commit db6d6b8b7d0d2e90e27d4c23308e5db26abd3820)

History

#1 - 06/20/2015 04:47 PM - Sven Vogel

macaddress_bond0 => 00:19:99:cb:c2:e2

macaddress_enp8s0f0 => 00:19:99:9e:41:08

macaddress_enp8s0f1 => 00:19:99:9e:41:09

macaddress_ens5f0 => 00:19:99:99:16:1a

macaddress_ens5f1 => 00:19:99:99:16:1b

macaddress_ens5f2 => 00:19:99:99:16:1c
macaddress_ens5f3 => 00:19:99:99:16:1d

macaddress_ens7f0 => 00:19:99:CB:C2:E2

macaddress_ens7f1 => 00:19:99:CB:C2:E3

puppet will do it correct but foreman should seperate the bond0 from it slaves,

#2 - 06/22/2015 03:06 AM - Marek Hulán

Could you please upload full output of facter? Feel free to remove sensitive information, I'm mostly interested in interfaces and mac_* facts. Are all of

interfaces (except bond) physical or do you use vlans/aliases? It might be related to #10805 and #10546

#3 - 06/22/2015 03:06 AM - Marek Hulán

- Related to Bug #10546: Reduce the number of interfaces duplicates added

#4 - 06/22/2015 03:07 AM - Marek Hulán

- Related to Bug #10805: VLAN interface attached to bond is wrongly created as Bond added

#5 - 06/24/2015 10:12 AM - Marek Hulán

- Status changed from New to Assigned

- Assignee set to Marek Hulán

I think I found the cause. The issue is that bond is virtual interface which is attached_to ''. When physical interface identifier changes we modify all

virtual interfaces of host that has attached_to set to previous identifier value. Since bond is usually imported (and persisted) before primary interface,

when primary interface identifier is set for the first time (after provisioning) its identifier changes from '' to 'ens7f0' and we change bond's attached_to

from '' to 'ens7f0' and then we even change the identifier (that is required for vlans and aliases). So we have to skip changes where original identifier

was not set. Not sure if this also solves the duplication issue (could be) but I'll look at that in #10607

#6 - 06/24/2015 10:13 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2485 added

- Pull request deleted ()

#7 - 06/25/2015 08:23 AM - Marek Hulán

- Related to Bug #10607: bonding on ubuntu causes foreman to create an interface after each ubuntu server reboot added

#8 - 06/29/2015 06:04 AM - Dominic Cleal

- translation missing: en.field_release set to 62

#9 - 06/29/2015 07:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset db6d6b8b7d0d2e90e27d4c23308e5db26abd3820.
